.menu {
    z-index: 2;
    bottom: 0;
    position: fixed;
    padding: 10px 20px;
    background: white;
    width: calc(100% - 40px);
  }


.level-1 {
      display: flex;
    gap: 2rem;
    list-style: none;
    margin: 0;
    padding: 0;
    flex: 1;
    justify-content: space-evenly;
}

.item {
  position: relative;
  width: max-content;
}


/* LEVEL 2 (premier dropdown) */
.level-2 {
  position: absolute;
  bottom: 68%; /* ouvre vers le haut */
  left: 0;
  background: white;

  margin: 0;
  padding: .5rem 0;

  opacity: 0;
  visibility: hidden;
    padding: 10px 20px 5px 30px;
    transform: translate(-30px, -10px);  
    transition: .2s;
}

.level-2 .item {
  padding: 6px 0px;
}


/* LEVEL 3 (encore au-dessus du 2) */
.level-3 {
    bottom: 100%;
    left: 100%;
    margin: 0;
    padding: 0 1.5em;
    transition: .2s;
}

.level-1 li::marker, .level-3 li::marker, .level-2 li::marker {
  content: " O ";
  font-size: 1.2em;
  font-family: 'FlorDeRuina';
  color: var(--b-color);
}

.menu .level-3 li {
  margin: 0px 20px;
}

.menu .level-3 a {
  padding: 0;
}

/* hover system */
.item:hover > .level-2,
.submenu-item:hover > .level-3 {
  opacity: 1;
  visibility: visible;
}

.menu a {
    color: #403307c7;    
    text-transform: uppercase;
    text-decoration: none;
    font-weight: 500;
    font-family: 'FlorDeRuina';
    padding: 0px;
}

.menu a:hover, .menu a.active {
  color: var(--b-color);
}



.level-2::before {
  width: relative;
}

.menu button {
  display: none;
}


@media screen and (max-width: 1080px) {

  .level-1 {
    flex-direction: column;
    padding: 2rem 0px 10px;
  }

  .level-2 .item {
    padding: 0px;
  }

  .level-2 {
    position: initial;
    opacity: 1;
    visibility: visible;
    transform: translate(20px, 0px);
    padding: 0px 20px;
  }

  .level-3 {
    transform: translate(30px, 0px);
  }

  .menu .bordure::before {
    display: none;
  }

  .menu a {
    padding: 0;
  }

  .menu button {
    display: flex;
    background: transparent;
    border: navajowhite;
    padding: 0;
    font-family: 'FlorDeRuina';
    float: right;
    font-weight: 500;
    color:  var(--b-color);;
  }

  .menu {
       transform: translate(0px, calc(100% - 40px));
    transition: 0.5s;
    padding-left: 35px;
    width: calc(100% - 55px);
  }

  .menu.open {
    transform: translateY(0px);
  }

  .menu:not(.open) span:last-child, .menu.open span:first-child  {
    display: none;
  }

  .level-1 {
  list-style: disc;
  }

}